Page MenuHomePhabricator

Create a general UDP transport class instead of abusing wfErrorLog
Closed, ResolvedPublic

Description

Currently wfErrorLog is used as a UDP message system by core's RC feed, EventLogging, and I think a few other things. We should have a generic UDP transport library in includes/libs/ that can be used for this.

Note that in https://gerrit.wikimedia.org/r/#/c/119941 the relevant part of wfErrorLog is being moved to MWLoggerLegacyLogger::emit().


Version: unspecified
Severity: normal

Details

Reference
bz72572
Related Gerrit Patches:
mediawiki/core : wmf/1.25wmf12Create a generic UDP transport class
mediawiki/core : masterCreate a generic UDP transport class

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:54 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz72572.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Oct 27 2014, 7:36 PM

Change 170080 had a related patch set uploaded by Legoktm:
Create a generic UDP transport class

https://gerrit.wikimedia.org/r/170080

Change 170080 had a related patch set uploaded (by BryanDavis):
Create a generic UDP transport class

https://gerrit.wikimedia.org/r/170080

Patch-For-Review

bd808 moved this task from Untriaged to In Dev on the Librarization board.
bd808 moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.
bd808 moved this task from In Dev to Needs Review on the Librarization board.

Change 180214 had a related patch set uploaded (by BryanDavis):
Create a generic UDP transport class

https://gerrit.wikimedia.org/r/180214

Patch-For-Review

Change 170080 merged by jenkins-bot:
Create a generic UDP transport class

https://gerrit.wikimedia.org/r/170080

Change 180214 merged by jenkins-bot:
Create a generic UDP transport class

https://gerrit.wikimedia.org/r/180214

bd808 closed this task as Resolved.Dec 22 2014, 10:46 PM
bd808 set Security to None.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.